.ech_buttons {
  position: fixed;
  inset: 0;
  pointer-events: none;
  z-index: 9999;
}

.ech_buttons__button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: fixed;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
  pointer-events: auto;
  padding: 0;
}

.ech_buttons__button:hover {
  transform: scale(1.2);
}

.ech_buttons__hidden {
  opacity: 0;
  pointer-events: none;
}

.ech_buttons__language {
  background-color: transparent;
  text-decoration: none;
}

.ech_buttons__accessibility {
  background-color: #ffffff;
  background-image: url('https://data.ech.group/pictograms/svg/accessibility_blue_30x30.svg');
  text-decoration: none;
}

.ech_buttons__grayscale {
  cursor: pointer;
  background-color: #ffffff;
  background-image: url('https://data.ech.group/pictograms/svg/contrast_blue_30x30.svg');
}

.ech_buttons__textzoom {
  cursor: pointer;
  background-color: #ffffff;
  background-image: url('https://data.ech.group/pictograms/svg/text_increase_blue_30x30.svg');
}

body.ech_buttons--grayscale {
  filter: grayscale(100%);
  transition: filter 0.5s ease;
}

body.ech_buttons--textzoom-small p,
body.ech_buttons--textzoom-small a,
body.ech_buttons--textzoom-small li {
  font-size: 14px;
}

body.ech_buttons--textzoom-medium p,
body.ech_buttons--textzoom-medium a,
body.ech_buttons--textzoom-medium li {
  font-size: 18px;
}

body.ech_buttons--textzoom-large p,
body.ech_buttons--textzoom-large a,
body.ech_buttons--textzoom-large li {
  font-size: 20px;
}

body.ech_buttons--textzoom-xlarge p,
body.ech_buttons--textzoom-xlarge a,
body.ech_buttons--textzoom-xlarge li {
  font-size: 24px;
}
